%define module_name POE-Component-Server-NSCA
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Math/Random.pm) perl(Mcrypt.pm) perl(Net/Netmask.pm) perl(POE.pm) perl(POE/Component/Client/NSCA.pm) perl(POE/Filter/Stream.pm) perl(POE/Wheel/ReadWrite.pm) perl(POE/Wheel/SocketFactory.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: a POE Component that implements NSCA daemon functionality
Group: Development/Perl
License: perl
URL: https://github.com/bingos/poe-component-server-nsca

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BINGOS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
POE::Component::Server::NSCA is a the POE manpage component that implements `NSCA daemon' functionality..This is the daemon program that accepts service check information from remote machines using
`send_nsca' client or the POE::Component::Client::NSCA manpage.

The component implements the network handling of accepting service check information from 
multiple clients, but doesn't deal with submitting the service checks to `Nagios'. Instead
you will be provided with the service check results as events and decide how to deal with the
results as you see fit.

It is based in part on code shamelessly borrowed from the Net::Nsca manpage and optionally supports 
encryption using the the Mcrypt manpage module.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes.old README Changes examples
%perl_vendor_privlib/P*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

